var _excluded = ["action", "method", "request", "onSuccess", "onError", "onChange"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useCallback, useMemo } from 'react';
import { Upload } from 'antd';

// import { apiPrefix } from '@/common/request';

export default (function (_ref) {
  var action = _ref.action,
    method = _ref.method,
    request = _ref.request,
    onSuccess = _ref.onSuccess,
    onError = _ref.onError,
    onChange = _ref.onChange,
    others = _objectWithoutProperties(_ref, _excluded);
  var handleUploadChange = useCallback(function (res) {
    var _res$file = res.file,
      status = _res$file.status,
      response = _res$file.response;
    if (status === 'done') {
      if (response.success) {
        onSuccess && onSuccess();
      } else {
        onError && onError(response.errorMsg);
      }
    }
    if (status === 'error') {
      onError && onError(response.errorMsg);
    }
    onChange && onChange(res);
  }, [onChange, onError, onSuccess]);
  // const url = useMemo(() => apiPrefix(request.url), [request]);
  var url = useMemo(function () {
    return request.url;
  }, [request]);
  return /*#__PURE__*/React.createElement(Upload, _extends({}, others, {
    withCredentials: true,
    action: url,
    method: request.method,
    data: request.params,
    onChange: handleUploadChange
  }));
});